Package com.google.protobuf.compiler

# Class PluginProtos.CodeGeneratorResponse.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessageV3.Builder<PluginProtos.CodeGeneratorResponse.Builder>
com.google.protobuf.compiler.PluginProtos.CodeGeneratorResponse.Builder

All Implemented Interfaces:
  `PluginProtos.CodeGeneratorResponseOrBuilder`, `Message.Builder`, `MessageLite.Builder`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `Cloneable`

Enclosing class:
  PluginProtos.CodeGeneratorResponse

public static final class PluginProtos.CodeGeneratorResponse.Builder extends GeneratedMessageV3.Builder<PluginProtos.CodeGeneratorResponse.Builder> implements PluginProtos.CodeGeneratorResponseOrBuilder
Protobuf type `google.protobuf.compiler.CodeGeneratorResponse`

## Method Summary

Modifier and Type
Method
Description
`PluginProtos.CodeGeneratorResponse.Builder`
`addAllFile(Iterable<? extends PluginProtos.CodeGeneratorResponse.File> values)`
`repeated .google.protobuf.compiler.CodeGeneratorResponse.File file = 15 [json_name = "file"];`
`PluginProtos.CodeGeneratorResponse.Builder`
`addFile(int index, PluginProtos.CodeGeneratorResponse.File value)`
`repeated .google.protobuf.compiler.CodeGeneratorResponse.File file = 15 [json_name = "file"];`
`PluginProtos.CodeGeneratorResponse.Builder`
`addFile(int index, PluginProtos.CodeGeneratorResponse.File.Builder builderForValue)`
`repeated .google.protobuf.compiler.CodeGeneratorResponse.File file = 15 [json_name = "file"];`
`PluginProtos.CodeGeneratorResponse.Builder`
`addFile(PluginProtos.CodeGeneratorResponse.File value)`
`repeated .google.protobuf.compiler.CodeGeneratorResponse.File file = 15 [json_name = "file"];`
`PluginProtos.CodeGeneratorResponse.Builder`
`addFile(PluginProtos.CodeGeneratorResponse.File.Builder builderForValue)`
`repeated .google.protobuf.compiler.CodeGeneratorResponse.File file = 15 [json_name = "file"];`
`PluginProtos.CodeGeneratorResponse.File.Builder`
`addFileBuilder()`
`repeated .google.protobuf.compiler.CodeGeneratorResponse.File file = 15 [json_name = "file"];`
`PluginProtos.CodeGeneratorResponse.File.Builder`
`addFileBuilder(int index)`
`repeated .google.protobuf.compiler.CodeGeneratorResponse.File file = 15 [json_name = "file"];`
`PluginProtos.CodeGeneratorResponse`
`build()`
Constructs the message based on the state of the Builder.
`PluginProtos.CodeGeneratorResponse`
`buildPartial()`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields.
`PluginProtos.CodeGeneratorResponse.Builder`
`clear()`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
`PluginProtos.CodeGeneratorResponse.Builder`
`clearError()`
`optional string error = 1 [json_name = "error"];`
`PluginProtos.CodeGeneratorResponse.Builder`
`clearFile()`
`repeated .google.protobuf.compiler.CodeGeneratorResponse.File file = 15 [json_name = "file"];`
`PluginProtos.CodeGeneratorResponse.Builder`
`clearSupportedFeatures()`
`optional uint64 supported_features = 2 [json_name = "supportedFeatures"];`
`PluginProtos.CodeGeneratorResponse`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`static final Descriptors.Descriptor`
`getDescriptor()`
`Descriptors.Descriptor`
`getDescriptorForType()`
Get the message's type's descriptor.
`String`
`getError()`
`optional string error = 1 [json_name = "error"];`
`ByteString`
`getErrorBytes()`
`optional string error = 1 [json_name = "error"];`
`PluginProtos.CodeGeneratorResponse.File`
`getFile(int index)`
`repeated .google.protobuf.compiler.CodeGeneratorResponse.File file = 15 [json_name = "file"];`
`PluginProtos.CodeGeneratorResponse.File.Builder`
`getFileBuilder(int index)`
`repeated .google.protobuf.compiler.CodeGeneratorResponse.File file = 15 [json_name = "file"];`
`List<PluginProtos.CodeGeneratorResponse.File.Builder>`
`getFileBuilderList()`
`repeated .google.protobuf.compiler.CodeGeneratorResponse.File file = 15 [json_name = "file"];`
`int`
`getFileCount()`
`repeated .google.protobuf.compiler.CodeGeneratorResponse.File file = 15 [json_name = "file"];`
`List<PluginProtos.CodeGeneratorResponse.File>`
`getFileList()`
`repeated .google.protobuf.compiler.CodeGeneratorResponse.File file = 15 [json_name = "file"];`
`PluginProtos.CodeGeneratorResponse.FileOrBuilder`
`getFileOrBuilder(int index)`
`repeated .google.protobuf.compiler.CodeGeneratorResponse.File file = 15 [json_name = "file"];`
`List<? extends PluginProtos.CodeGeneratorResponse.FileOrBuilder>`
`getFileOrBuilderList()`
`repeated .google.protobuf.compiler.CodeGeneratorResponse.File file = 15 [json_name = "file"];`
`long`
`getSupportedFeatures()`
`optional uint64 supported_features = 2 [json_name = "supportedFeatures"];`
`boolean`
`hasError()`
`optional string error = 1 [json_name = "error"];`
`boolean`
`hasSupportedFeatures()`
`optional uint64 supported_features = 2 [json_name = "supportedFeatures"];`
`protected GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`PluginProtos.CodeGeneratorResponse.Builder`
`mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions.
`PluginProtos.CodeGeneratorResponse.Builder`
`mergeFrom(PluginProtos.CodeGeneratorResponse other)`
`PluginProtos.CodeGeneratorResponse.Builder`
`mergeFrom(Message other)`
Merge `other` into the message being built.
`final PluginProtos.CodeGeneratorResponse.Builder`
`mergeUnknownFields(UnknownFieldSet unknownFields)`
Merge some unknown fields into the `UnknownFieldSet` for this message.
`PluginProtos.CodeGeneratorResponse.Builder`
`removeFile(int index)`
`repeated .google.protobuf.compiler.CodeGeneratorResponse.File file = 15 [json_name = "file"];`
`PluginProtos.CodeGeneratorResponse.Builder`
`setError(String value)`
`optional string error = 1 [json_name = "error"];`
`PluginProtos.CodeGeneratorResponse.Builder`
`setErrorBytes(ByteString value)`
`optional string error = 1 [json_name = "error"];`
`PluginProtos.CodeGeneratorResponse.Builder`
`setFile(int index, PluginProtos.CodeGeneratorResponse.File value)`
`repeated .google.protobuf.compiler.CodeGeneratorResponse.File file = 15 [json_name = "file"];`
`PluginProtos.CodeGeneratorResponse.Builder`
`setFile(int index, PluginProtos.CodeGeneratorResponse.File.Builder builderForValue)`
`repeated .google.protobuf.compiler.CodeGeneratorResponse.File file = 15 [json_name = "file"];`
`PluginProtos.CodeGeneratorResponse.Builder`
`setSupportedFeatures(long value)`
`optional uint64 supported_features = 2 [json_name = "supportedFeatures"];`
`final PluginProtos.CodeGeneratorResponse.Builder`
`setUnknownFields(UnknownFieldSet unknownFields)`
Set the `UnknownFieldSet` for this message.

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessageV3.Builder`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessageV3.Builder<PluginProtos.CodeGeneratorResponse.Builder>`

### clear

public PluginProtos.CodeGeneratorResponse.Builder clear()
Description copied from class: `GeneratedMessageV3.Builder`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.

Specified by:
  `clear` in interface `Message.Builder`
Specified by:
  `clear` in interface `MessageLite.Builder`
Overrides:
  `clear` in class `GeneratedMessageV3.Builder<PluginProtos.CodeGeneratorResponse.Builder>`

### getDescriptorForType

public Descriptors.Descriptor getDescriptorForType()
Description copied from interface: `Message.Builder`
Get the message's type's descriptor. See `MessageOrBuilder.getDescriptorForType()`.

Specified by:
  `getDescriptorForType` in interface `Message.Builder`
Specified by:
  `getDescriptorForType` in interface `MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `GeneratedMessageV3.Builder<PluginProtos.CodeGeneratorResponse.Builder>`

### getDefaultInstanceForType

public PluginProtos.CodeGeneratorResponse getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`

### build

public PluginProtos.CodeGeneratorResponse build()
Description copied from interface: `MessageLite.Builder`
Constructs the message based on the state of the Builder. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `build` in interface `Message.Builder`
Specified by:
  `build` in interface `MessageLite.Builder`

### buildPartial

public PluginProtos.CodeGeneratorResponse buildPartial()
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields. Instead, a partial message is returned. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `buildPartial` in interface `Message.Builder`
Specified by:
  `buildPartial` in interface `MessageLite.Builder`

### mergeFrom

public PluginProtos.CodeGeneratorResponse.Builder mergeFrom(Message other)
Description copied from interface: `Message.Builder`
Merge `other` into the message being built. `other` must have the exact same type as `this` (i.e. `getDescriptorForType() == other.getDescriptorForType()`).

Merging occurs as follows. For each field:
* For singular primitive fields, if the field is set in `other`, then `other`'s value overwrites the value in this message.
* For singular message fields, if the field is set in `other`, it is merged into the corresponding sub-message of this message using the same merging rules.
* For repeated fields, the elements in `other` are concatenated with the elements in this message.
* For oneof groups, if the other message has one of the fields set, the group of this message is cleared and replaced by the field of the other message, so that the oneof constraint is preserved.

This is equivalent to the `Message::MergeFrom` method in C++.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<PluginProtos.CodeGeneratorResponse.Builder>`

### mergeFrom

public PluginProtos.CodeGeneratorResponse.Builder mergeFrom(PluginProtos.CodeGeneratorResponse other)

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessageV3.Builder<PluginProtos.CodeGeneratorResponse.Builder>`

### mergeFrom

public PluginProtos.CodeGeneratorResponse.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions. The extensions that you want to be able to parse must be registered in `extensionRegistry`. Extensions not in the registry will be treated as unknown fields.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Specified by:
  `mergeFrom` in interface `MessageLite.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<PluginProtos.CodeGeneratorResponse.Builder>`
Throws:
  `InvalidProtocolBufferException` - the bytes read are not syntactically correct according to the protobuf wire format specification. The data is corrupt, incomplete, or was never a protobuf in the first place.
  `IOException` - an I/O error reading from the stream

### hasError

public boolean hasError()
`optional string error = 1 [json_name = "error"];`

Specified by:
  `hasError` in interface `PluginProtos.CodeGeneratorResponseOrBuilder`
Returns:
  Whether the error field is set.

### getError

public String getError()
`optional string error = 1 [json_name = "error"];`

Specified by:
  `getError` in interface `PluginProtos.CodeGeneratorResponseOrBuilder`
Returns:
  The error.

### getErrorBytes

public ByteString getErrorBytes()
`optional string error = 1 [json_name = "error"];`

Specified by:
  `getErrorBytes` in interface `PluginProtos.CodeGeneratorResponseOrBuilder`
Returns:
  The bytes for error.

### setError

public PluginProtos.CodeGeneratorResponse.Builder setError(String value)
`optional string error = 1 [json_name = "error"];`

Parameters:
  `value` - The error to set.
Returns:
  This builder for chaining.

### clearError

public PluginProtos.CodeGeneratorResponse.Builder clearError()
`optional string error = 1 [json_name = "error"];`

Returns:
  This builder for chaining.

### setErrorBytes

public PluginProtos.CodeGeneratorResponse.Builder setErrorBytes(ByteString value)
`optional string error = 1 [json_name = "error"];`

Parameters:
  `value` - The bytes for error to set.
Returns:
  This builder for chaining.

### hasSupportedFeatures

public boolean hasSupportedFeatures()
`optional uint64 supported_features = 2 [json_name = "supportedFeatures"];`

Specified by:
  `hasSupportedFeatures` in interface `PluginProtos.CodeGeneratorResponseOrBuilder`
Returns:
  Whether the supportedFeatures field is set.

### getSupportedFeatures

public long getSupportedFeatures()
`optional uint64 supported_features = 2 [json_name = "supportedFeatures"];`

Specified by:
  `getSupportedFeatures` in interface `PluginProtos.CodeGeneratorResponseOrBuilder`
Returns:
  The supportedFeatures.

### setSupportedFeatures

public PluginProtos.CodeGeneratorResponse.Builder setSupportedFeatures(long value)
`optional uint64 supported_features = 2 [json_name = "supportedFeatures"];`

Parameters:
  `value` - The supportedFeatures to set.
Returns:
  This builder for chaining.

### clearSupportedFeatures

public PluginProtos.CodeGeneratorResponse.Builder clearSupportedFeatures()
`optional uint64 supported_features = 2 [json_name = "supportedFeatures"];`

Returns:
  This builder for chaining.

### getFileList

public List<PluginProtos.CodeGeneratorResponse.File> getFileList()
`repeated .google.protobuf.compiler.CodeGeneratorResponse.File file = 15 [json_name = "file"];`

Specified by:
  `getFileList` in interface `PluginProtos.CodeGeneratorResponseOrBuilder`

### getFileCount

public int getFileCount()
`repeated .google.protobuf.compiler.CodeGeneratorResponse.File file = 15 [json_name = "file"];`

Specified by:
  `getFileCount` in interface `PluginProtos.CodeGeneratorResponseOrBuilder`

### getFile

public PluginProtos.CodeGeneratorResponse.File getFile(int index)
`repeated .google.protobuf.compiler.CodeGeneratorResponse.File file = 15 [json_name = "file"];`

Specified by:
  `getFile` in interface `PluginProtos.CodeGeneratorResponseOrBuilder`

### setFile

public PluginProtos.CodeGeneratorResponse.Builder setFile(int index, PluginProtos.CodeGeneratorResponse.File value)
`repeated .google.protobuf.compiler.CodeGeneratorResponse.File file = 15 [json_name = "file"];`

### setFile

public PluginProtos.CodeGeneratorResponse.Builder setFile(int index, PluginProtos.CodeGeneratorResponse.File.Builder builderForValue)
`repeated .google.protobuf.compiler.CodeGeneratorResponse.File file = 15 [json_name = "file"];`

### addFile

public PluginProtos.CodeGeneratorResponse.Builder addFile(PluginProtos.CodeGeneratorResponse.File value)
`repeated .google.protobuf.compiler.CodeGeneratorResponse.File file = 15 [json_name = "file"];`

### addFile

public PluginProtos.CodeGeneratorResponse.Builder addFile(int index, PluginProtos.CodeGeneratorResponse.File value)
`repeated .google.protobuf.compiler.CodeGeneratorResponse.File file = 15 [json_name = "file"];`

### addFile

public PluginProtos.CodeGeneratorResponse.Builder addFile(PluginProtos.CodeGeneratorResponse.File.Builder builderForValue)
`repeated .google.protobuf.compiler.CodeGeneratorResponse.File file = 15 [json_name = "file"];`

### addFile

public PluginProtos.CodeGeneratorResponse.Builder addFile(int index, PluginProtos.CodeGeneratorResponse.File.Builder builderForValue)
`repeated .google.protobuf.compiler.CodeGeneratorResponse.File file = 15 [json_name = "file"];`

### addAllFile

public PluginProtos.CodeGeneratorResponse.Builder addAllFile(Iterable<? extends PluginProtos.CodeGeneratorResponse.File> values)
`repeated .google.protobuf.compiler.CodeGeneratorResponse.File file = 15 [json_name = "file"];`

### clearFile

public PluginProtos.CodeGeneratorResponse.Builder clearFile()
`repeated .google.protobuf.compiler.CodeGeneratorResponse.File file = 15 [json_name = "file"];`

### removeFile

public PluginProtos.CodeGeneratorResponse.Builder removeFile(int index)
`repeated .google.protobuf.compiler.CodeGeneratorResponse.File file = 15 [json_name = "file"];`

### getFileBuilder

public PluginProtos.CodeGeneratorResponse.File.Builder getFileBuilder(int index)
`repeated .google.protobuf.compiler.CodeGeneratorResponse.File file = 15 [json_name = "file"];`

### getFileOrBuilder

public PluginProtos.CodeGeneratorResponse.FileOrBuilder getFileOrBuilder(int index)
`repeated .google.protobuf.compiler.CodeGeneratorResponse.File file = 15 [json_name = "file"];`

Specified by:
  `getFileOrBuilder` in interface `PluginProtos.CodeGeneratorResponseOrBuilder`

### getFileOrBuilderList

public List<? extends PluginProtos.CodeGeneratorResponse.FileOrBuilder> getFileOrBuilderList()
`repeated .google.protobuf.compiler.CodeGeneratorResponse.File file = 15 [json_name = "file"];`

Specified by:
  `getFileOrBuilderList` in interface `PluginProtos.CodeGeneratorResponseOrBuilder`

### addFileBuilder

public PluginProtos.CodeGeneratorResponse.File.Builder addFileBuilder()
`repeated .google.protobuf.compiler.CodeGeneratorResponse.File file = 15 [json_name = "file"];`

### addFileBuilder

public PluginProtos.CodeGeneratorResponse.File.Builder addFileBuilder(int index)
`repeated .google.protobuf.compiler.CodeGeneratorResponse.File file = 15 [json_name = "file"];`

### getFileBuilderList

public List<PluginProtos.CodeGeneratorResponse.File.Builder> getFileBuilderList()
`repeated .google.protobuf.compiler.CodeGeneratorResponse.File file = 15 [json_name = "file"];`

### setUnknownFields

public final PluginProtos.CodeGeneratorResponse.Builder setUnknownFields(UnknownFieldSet unknownFields)
Description copied from interface: `Message.Builder`
Set the `UnknownFieldSet` for this message.

Specified by:
  `setUnknownFields` in interface `Message.Builder`
Overrides:
  `setUnknownFields` in class `GeneratedMessageV3.Builder<PluginProtos.CodeGeneratorResponse.Builder>`

### mergeUnknownFields

public final PluginProtos.CodeGeneratorResponse.Builder mergeUnknownFields(UnknownFieldSet unknownFields)
Description copied from interface: `Message.Builder`
Merge some unknown fields into the `UnknownFieldSet` for this message.

Specified by:
  `mergeUnknownFields` in interface `Message.Builder`
Overrides:
  `mergeUnknownFields` in class `GeneratedMessageV3.Builder<PluginProtos.CodeGeneratorResponse.Builder>`